﻿using Syncfusion.XForms.TreeView;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Reflection;
using System.Text;
using Xamarin.Forms;

namespace DataForm
{
    public class FileManagerViewModel
    {
        private ObservableCollection<FileManager> imageNodeInfo;

        public FileManagerViewModel()
        {
            GenerateSource();
        }

        public ObservableCollection<FileManager> ImageNodeInfo
        {
            get { return imageNodeInfo; }
            set { this.imageNodeInfo = value; }
        }

        private void GetDetails(object TreeView)
        {
            var treeView = TreeView as SfTreeView;
        }

        private void GenerateSource()
        {
            var nodeImageInfo = new ObservableCollection<FileManager>();
            var details = new FileManager() { ItemName = "Details" };
          

            var detail1 = new FileManager() { ItemName = "Detail 1", ID = 1 };
            var detail2 = new FileManager() { ItemName = "Detail 2", ID = 2 };
            var detail3 = new FileManager() { ItemName = "Detail 3", ID = 3 };
            var detail4 = new FileManager() { ItemName = "Detail 4", ID = 4 };

            details.SubFiles = new ObservableCollection<FileManager>
            {
             detail1,
             detail2,
             detail3,
             detail4
            };


            nodeImageInfo.Add(details);
            imageNodeInfo = nodeImageInfo;
        }
    }
}
